# This file was auto-generated by Fern from our API Definition.

import typing_extensions
import typing_extensions
from .chat_completion_message_tool_calls import ChatCompletionMessageToolCallsParams
import typing
from .annotation import AnnotationParams
from ..types.role_6 import Role6
from .function_call import FunctionCallParams
from .audio_1 import Audio1Params


class ChatCompletionResponseMessageParams(typing_extensions.TypedDict):
    content: str
    """
    The contents of the message.
    """

    refusal: typing_extensions.NotRequired[str]
    """
    The refusal message generated by the model.
    """

    tool_calls: typing_extensions.NotRequired[ChatCompletionMessageToolCallsParams]
    annotations: typing_extensions.NotRequired[typing.Sequence[AnnotationParams]]
    """
    Annotations for the message, when applicable, as when using the
    [web search tool](/docs/guides/tools-web-search?api-mode=chat).
    """

    role: Role6
    """
    The role of the author of this message.
    """

    function_call: typing_extensions.NotRequired[FunctionCallParams]
    """
    Deprecated and replaced by `tool_calls`. The name and arguments of a function that should be called, as generated by the model.
    """

    audio: typing_extensions.NotRequired[Audio1Params]
    """
    If the audio output modality is requested, this object contains data
    about the audio response from the model. [Learn more](/docs/guides/audio).
    """
